// $Id: PageLast.java 13184 2011-05-23 14:58:59Z mike $

package org.faceless.pdf2.viewer2.feature;

import org.faceless.pdf2.viewer2.*;
import org.faceless.pdf2.PDF;
import javax.swing.*;

/**
 * Create a button to jump to the last page.
 *
 * <span class="featurename">The name of this feature is <span class="featureactualname">PageLast</span></span>
 * <p><i>This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.</i></p>
 * @since 2.8
 */
public class PageLast extends ViewerWidget implements DocumentPanelListener
{
    public PageLast() {
        super("PageLast");
        setButton("Navigation.ltr", "resources/icons/LastPage.png", "PDFViewer.tt.PageLast");
        setMenu("View\tGoTo\tLastPage");
    }

    public void action(ViewerEvent event) {
        event.getDocumentPanel().setPageNumber(event.getPDF().getNumberOfPages()-1);
    }

    public void initialize(PDFViewer viewer) {
        super.initialize(viewer);
        viewer.addDocumentPanelListener(this);
    }

    public void documentUpdated(DocumentPanelEvent event) {
        if (event.getType()=="pageChanged" || event.getType()=="activated") {
            PDF pdf = event.getDocumentPanel().getPDF();
            boolean enabled = pdf!=null && event.getDocumentPanel().getPageNumber() < pdf.getNumberOfPages()-1;
            event.getDocumentPanel().getViewer().getNamedComponent("ButtonPageLast").setEnabled(enabled);
            event.getDocumentPanel().getViewer().getNamedComponent("MenuPageLast").setEnabled(enabled);
        }
    }
}
